import request from "../request.js"

export function getPreOrderById(data, data2) {
	return request({
		url: `/kindergarten/applet/kindergartenLogin?loginCode=${data}&phoneCode=${data2}`,
		method: 'POST'
	})
}
export function loginLogging(data) {
	return request({
		url: '/kindergartenApplet/actionLogRecord/loginLogging',
		method: 'POST',
		data: data
	})
}
export function prescriptionLogging(data) {
	return request({
		url: '/kindergartenApplet/actionLogRecord/prescriptionLogging',
		method: 'POST',
		data: data
	})
}
export function prescriptionVideoLogging(data) {
	return request({
		url: '/kindergartenApplet/actionLogRecord/prescriptionVideoLogging',
		method: 'POST',
		data: data
	})
}

export function getChildrenResultScore(data) {
	return request({
		url: '/kindergarten/applet/getChildrenResultScore',
		method: 'POST',
		data: data
	})
}

//查看成绩
export function getStudentScore(data) {
	return request({
		url: '/kindergarten/applet/getStudentScoreInfo',
		method: 'POST',
		data: data
	})
}
//绑定家长手机号
export function bindParent(data) {
	return request({
		url: `/kindergarten/applet/bindParentInfo`,
		method: 'POST',
		data
	})
}


// 我的
export function getInfoByPhone(data) {
	return request({
		url: `/kindergarten/applet/getInfoByPhone?phone=${data}`,
		method: 'GET'
	})
}



export function getMotionPrescription(studentId, batchCode) {
	return request({
		url: `/kindergarten/applet/getMotionPrescription?studentId=${studentId}&batchCode=${batchCode}`,
		method: 'GET'
	})
}

// export function addConfirmOrder(data) {
//     return request({
//         url: ``,
//         method: "post",
//         data
//     })
// }
